# Class PDOStatement | thelia

# Class PDOStatement

  PDOStatement implements Traversable

PHP Extension: PDO
Documented at php.net

Methods summary
`public` | # `execute( mixed $bound_input_params )`
`public` | # `fetch( mixed $how, mixed $orientation, mixed $offset )`
`public` | # `bindParam( mixed $paramno, mixed & $param, mixed $type, mixed $maxlen, mixed $driverdata )`
`public` | # `bindColumn( mixed $column, mixed & $param, mixed $type, mixed $maxlen, mixed $driverdata )`
`public` | # `bindValue( mixed $paramno, mixed $param, mixed $type )`
`public` | # `rowCount( )`
`public` | # `fetchColumn( mixed $column_number )`
`public` | # `fetchAll( mixed $how, mixed $class_name, mixed $ctor_args )`
`public` | # `fetchObject( mixed $class_name, mixed $ctor_args )`
`public` | # `errorCode( )`
`public` | # `errorInfo( )`
`public` | # `setAttribute( mixed $attribute, mixed $value )`
`public` | # `getAttribute( mixed $attribute )`
`public` | # `columnCount( )`
`public` | # `getColumnMeta( mixed $column )`
`public` | # `setFetchMode( mixed $mode, mixed $params )`
`public` | # `nextRowset( )`
`public` | # `closeCursor( )`
`public` | # `debugDumpParams( )`
`final public` | # `__wakeup( )`
`final public` | # `__sleep( )`

Properties summary
`public mixed` | $queryString | `` | #